%global		srcname quazip

Name:		%{srcname}-qt5
Version:	0.7.3
Release:	2%{?dist}
Summary:	Qt5 wrapper for the minizip library
License:	LGPLv2+
URL:		http://quazip.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:         quazip-0.7.2-fix_static.patch
BuildRequires: 	cmake3
BuildRequires:	zlib-devel
BuildRequires:	qt5-qtbase-devel
BuildRequires:	doxygen graphviz


%description
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt toolkit.

QuaZIP allows you to access files inside ZIP archives using QIODevice API,
and - yes! - that means that you can also use QTextStream, QDataStream or
whatever you would like to use on your zipped files.

QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
from and writing to ZIP archives.

%package devel
Summary:		Development files for %{name}
Group:			Development/Libraries
Requires:		%{name}%{?_isa} = %{version}-%{release}
Requires:		qt5-qtbase-devel%{?_isa}

%description devel
The %{name}-devel package contains libraries, header files and documentation
for developing applications that use %{name}. 


%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .orig

%build
mkdir build-qt5
pushd build-qt5
%cmake3 .. -DBUILD_WITH_QT4:BOOL=OFF

make %{?_smp_mflags}
popd

doxygen Doxyfile
for file in doc/html/*; do
	touch -r Doxyfile $file
done

%install
make install/fast DESTDIR=%{buildroot} -C build-qt5


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license COPYING
%doc NEWS.txt README.txt
%{_libdir}/libquazip5.so.1*

%files devel
%doc doc/html
%{_includedir}/quazip5/
%{_libdir}/libquazip5.so
%dir %{_datadir}/cmake3/
%dir %{_datadir}/cmake3/Modules/
%{_datadir}/cmake3/Modules/FindQuaZip5.cmake


%changelog
* Thu Apr 20 2017 Dan Horák <dan[at]danny.cz> - 0.7.3-2
- updated for review comments

* Mon Mar 27 2017 Dan Horák <dan[at]danny.cz> - 0.7.3-1
- EPEL-7 Qt5 build of 0.7.3
